#ifndef OBJ03_DB_H
#define OBJ03_DB_H
/*lint ++flb */

/* Raima Database Manager 11.0.0.1000 */

/* ----------------------------------------------------------------------------
 *
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 *
 * ----------------------------------------------------------------------------
 */

/* EXAMPLE - obj03 for C++ */
/* This is the DDL (Database Definition Language) for a single field,
 * single record-type database. The one record type is called obj03,
 * and it's one field, message, can store an ASCII string. The program
 * will create a new record containing "Hello World" in the field, then
 * it will read through all records in the database and print their
 * contents.
 */

/* database obj03_db record/key structure declarations */

struct artist {
   char name[100];
};

struct album {
   char title[100];
};

/* record, field and set table entry definitions */

/* File Id Constants */

/* Record Name Constants */
#define ARTIST 10000
#define ALBUM 10001

/* Field Name Constants */
#define NAME 0L
#define TITLE 1000L

/* Set Name Constants */
#define ARTIST_ALBUM 20000

/* Field Sizes */
#define SIZEOF_NAME 100
#define SIZEOF_TITLE 100

/*lint --flb */
#endif    /* OBJ03_DB_H */
